CH_SWAP_AND_WRITE_BLOCKS(3)

EXPERIMENTAL_FUNC
ch_swap_and_write_blocks - Write blocks to a channel after swapping bytes.

SYNOPSIS
#include <karma_ch.h>

uaddr ch_swap_and_write_blocks

(Channel channel, CONST char *buffer, uaddr num_blocks, uaddr block_size)

DESCRIPTION
This routine will write a number of blocks to a channel after swapping the bytes.

channel
    The channel object.

buffer
    The buffer to read the data from.

num_blocks
    The number of blocks to write.

block_size
    The size (in bytes) of each block.

RETURN VALUE
The number of bytes written. Errors may cause partial blocks to be written.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/